Run a flow
curl --request POST \
--url https://api.databar.ai/v1/flows/{flow_id}/run \
--header 'Content-Type: application/json' \
--header 'x-apikey: <x-apikey>' \
--data '
{
"inputs": {
"domain": "stripe.com"
}
}
'import requests
url = "https://api.databar.ai/v1/flows/{flow_id}/run"
payload = { "inputs": { "domain": "stripe.com" } }
headers = {
"x-apikey": "<x-apikey>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-apikey': '<x-apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {domain: 'stripe.com'}})
};
fetch('https://api.databar.ai/v1/flows/{flow_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "processing"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Flows
Run a flow
Start a flow execution and return a task_id. Poll GET /v1/tasks/{task_id} to check status and retrieve outputs. Inputs are passed as {input_id: value} — use GET /v1/flows/{flow_id} to discover the declared inputs.
POST
/
v1
/
flows
/
{flow_id}
/
run
Run a flow
This endpoint is asynchronous. It returns a
task_id — poll Get task status to retrieve your results. Task data expires after 24 hours.Headers
API Key for authentication
Path Parameters
Numeric ID of the flow to run
Body
application/json
Maps flow input id → value string. Use GET /v1/flows/{flow_id} to discover the required input ids.
Show child attributes
Show child attributes
Response
Task created — poll GET /v1/tasks/{task_id} for results
⌘I